Subject: Re: [stir] Stephen Farrell's Discuss on draft-ietf-stir-passport-10: (with DISCUSS)

From: Chris Wendt <[email-masked]>
Date: Thu, 9 Feb 2017 17:29:54 -0500

Hi Stephen,

I just submitted passport-11 which includes:

“Implementations of PASSporT digital signatures using ES256 as defined above SHOULD use deterministic ECDSA if/when supported for the reasons stated in [RFC6979]."

Inline with what we concluded.  Hopefully this should resolve your concern.

Thanks!

-Chris

> On Nov 7, 2016, at 9:34 AM, Chris Wendt <[email-masked]> wrote:
> 
> I’m good with that.
> 
> -Chris
> 
>> On Nov 4, 2016, at 6:45 PM, Stephen Farrell <[email-masked] <mailto:[email-masked]>> wrote:
>> 
>> 
>> Hiya,
>> 
>> On 04/11/16 19:18, Chris Wendt wrote:
>>> “hobble” is a hugely inappropriate term.
>> 
>> Well, arguably so is "hugely inappropriate" :-)
>> 
>> I'd agree though that hobble is a teeny bit overstated.
>> 
>> I think Eric does have a point though that STIR involves a chunk of
>> new code so the problems aren't as bad as in other situations. I'd
>> also encourage the WG to maybe look some more - as I said in the
>> case of COSE, recent findings were that deterministic ECDSA was
>> available in most crypto libraries now. That might not yet have
>> percolated up to higher level libraries I guess (though last I
>> looked neither had ECDSA, but it's been a while).
>> 
>> Nonetheless that doesn't stop you saying something like:
>> 
>> "Signers SHOULD use deterministic ECDSA if/when supported in their
>> development environment for the reasons stated in [RFC6979]."
>> 
>> As you said, verifiers don't need to care and I think the above
>> is also painless for those writing signing code, but does give
>> better guidance.
>> 
>> Sound reasonable?
>> 
>> Cheers,
>> S.